Méthode | Description | |
---|---|---|
AddDimension ( ) : bool |
find out every wall in the selection and add a dimension from the start of the wall to its end
|
|
Execute ( ExternalCommandData revit, string &message, Autodesk.Revit.DB.ElementSet elements ) : Autodesk.Revit.UI.Result |
Implement this method as an external command for Revit.
|
Méthode | Description | |
---|---|---|
initialize ( ) : bool |
find out the wall, insert it into a array list
|
public Execute ( ExternalCommandData revit, string &message, Autodesk.Revit.DB.ElementSet elements ) : Autodesk.Revit.UI.Result | ||
revit | ExternalCommandData | |
message | string | A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command. |
elements | Autodesk.Revit.DB.ElementSet | A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation. |
Résultat | Autodesk.Revit.UI.Result |